## gnome-authenticator 3.32.2+dfsg1

=== meson_options.txt ===
option(
        'profile',
        type: 'combo',
        choices: [
                'default',
                'development',
                'beta',
        ],
        value: 'default'
)

=== requirements.txt ===
beautifulsoup4==4.7.0
Pillow==6.0.0
pyfavicon==0.1.1
pyotp==2.2.7
pyzbar==0.1.8
yoyo-migrations==6.1.0

## gnome-authenticator 3.32.2%2Bdfsg1

=== debian/control ===
Source: gnome-authenticator
Section: gnome
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-python,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libhandy-0.0-dev,
               libsecret-1-dev,
               libzbar-dev,
               help2man,
               meson,
               python-gi-dev,
               python3-all,
               python3-bs4,
               python3-pil,
               python3-pyfavicon,
               python3-pyotp,
               python3-pyzbar,
               python3-setuptools,
               python3-yoyo
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.gnome.org/World/Authenticator
Vcs-Browser: https://salsa.debian.org/python-team/packages/gnome-authenticator
Vcs-Git: https://salsa.debian.org/python-team/packages/gnome-authenticator.git

Package: gnome-authenticator
Architecture: all
Depends: gir1.2-handy-0.0,
         gir1.2-secret-1,
         python3-bs4,
         python3-gi,
         python3-pil,
         python3-pyfavicon,
         python3-pyotp,
         python3-pyzbar,
         python3-yoyo,
         ${misc:Depends},
         ${python3:Depends}
Description: TOTP authentication app for the GNOME Desktop
 Authenticator is a GTK3 application for the GNOME desktop, featuring:
  - QR code scanner
  - Beautiful UI
  - Huge database of more than 560 supported services
  - Keep your PIN tokens secure by locking the application with a password
  - Automatically fetch an image for services using their favicon
  - The possibility to add new services

## gnome-authenticator 3.32.2+dfsg1

=== debian/changelog ===
gnome-authenticator (3.32.2+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Henry-Nicolas Tourneur ]
  * Upload to unstable
  * d/control: add missing dependencies on libhandy
  * d/tests: mark autopkgtest as superficial, allow-stderr and fix path issue
  * d/patches/000_handle_svg_removal.patch: apply DEP-3
  * d/patches/001_python38-cleanup.patch:
    prevent a startup crash with Python 3.8
  * Added a lintian override for the lack of manpage as this package is a gui

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 28 Sep 2020 16:54:14 +0000

gnome-authenticator (3.32.2+dfsg1-1) experimental; urgency=medium

  * Initial release (Closes: #958555)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 02 Jun 2020 20:55:39 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/gnome-authenticator/ --install-scripts=/usr/share/gnome-authenticator

%:
	dh $@ --with python3

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/authenticator --help
Restrictions: allow-stderr superficial
Depends: gir1.2-handy-0.0,
         gir1.2-secret-1,
         python3-bs4,
         python3-gi,
         python3-pil,
         python3-pyfavicon,
         python3-pyotp,
         python3-pyzbar,
         python3-yoyo,
         xauth,
         xvfb,
         @

## gnome-authenticator 4.5.0

=== debian/changelog ===
gnome-authenticator (4.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.5.0
  * Prevent further repacks with qrscanner-symbolic license change
  * Drop custom CI config
  * Build with meson/cargo (Closes: #993849)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Sep 2024 21:03:18 +0200

gnome-authenticator (3.32.2+dfsg1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in
    d/gnome-authenticator.lintian-overrides on line 2.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 18:27:53 +0000

gnome-authenticator (3.32.2+dfsg1-4) unstable; urgency=medium

  * d/patches: add 002_fix_meson_errors.patch to solve an FTBFS with meson 0.60
  * d/control: Set Standards-Version to 4.6.0 (no changes needed)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 01 Nov 2021 10:15:11 +0000

gnome-authenticator (3.32.2+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 13:57:08 +0100

=== debian/control ===
Source: gnome-authenticator
Section: gnome
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: appstream-util,
               cargo,
               debhelper-compat (= 13),
               desktop-file-utils,
               libgstreamer-plugins-bad1.0-dev,
               librust-aes-gcm-dev,
               librust-aperture-dev,
               librust-ashpd-dev,
               librust-data-encoding-dev,
               librust-diesel-dev,
               librust-diesel-migrations-dev,
               librust-gettext-rs-dev,
               librust-gst-plugin-gtk4-dev,
               librust-libadwaita-dev,
               librust-libsqlite3-sys-dev,
               librust-oo7-dev,
               librust-prost-dev,
               librust-qrencode-dev,
               librust-reqwest-dev,
               librust-rust-argon2-dev,
               librust-scrypt-dev,
               librust-svg-metadata-dev,
               librust-search-provider-dev,
               librust-tracing-subscriber-dev,
               librust-zbar-rust-dev,
               librust-zip-dev,
               meson,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.gnome.org/World/Authenticator
Vcs-Browser: https://salsa.debian.org/python-team/packages/gnome-authenticator
Vcs-Git: https://salsa.debian.org/python-team/packages/gnome-authenticator.git

Package: gnome-authenticator
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-keyring,
Description: TOTP authentication app for the GNOME Desktop
 Authenticator is a GTK3 application for the GNOME desktop, featuring:
  - QR code scanner
  - Beautiful UI
  - Huge database of more than 560 supported services
  - Keep your PIN tokens secure by locking the application with a password
  - Automatically fetch an image for services using their favicon
  - The possibility to add new services

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	mv Cargo.lock debian/

execute_after_dh_auto_install:
	mv debian/Cargo.lock .

## gnome-authenticator 4.6.2

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Authenticator. One of "default" or "development".'
)

=== debian/changelog ===
gnome-authenticator (4.6.2-9) unstable; urgency=medium

  * Team upload.
  * debian: port to oo7 v0.5
  * d/watch: convert to version 5

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 19:48:26 +0200

gnome-authenticator (4.6.2-8) unstable; urgency=high

  * Team upload
  * Build with rust-zip 5 (Closes: #1115432)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 16 Sep 2025 20:04:41 +0000

gnome-authenticator (4.6.2-7) unstable; urgency=medium

  * Cherry-pick patch to build with rust-gtk4 0.10 etc
  * Update Build-Depends
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 23:55:32 -0400

gnome-authenticator (4.6.2-6) unstable; urgency=medium

  * Team upload
  * Add fix-broken-metainfo-data.patch
    - Fixes a test failure due to non-spec-compliant MetaInfo file

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 16:35:12 +0200

gnome-authenticator (4.6.2-5) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:19:28 +0200

gnome-authenticator (4.6.2-4) unstable; urgency=medium

  * Add Depends: gstreamer1.0-plugins-bad (LP: #2106445)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 09:53:45 -0400

gnome-authenticator (4.6.2-2) unstable; urgency=medium

  * Add Depends: gstreamer1.0-gtk4 (Closes: #1103547)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 17:40:00 -0400

gnome-authenticator (4.6.2-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage
  * Mention GNOME Circle in package description
  * Remove patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 14:44:54 -0400

gnome-authenticator (4.6.0-2) unstable; urgency=medium

  * Stop patching zip crate
  * Add cherry-picked upstream patch for newer libadwaita

 -- Matthias Geiger <werdahias@debian.org>  Wed, 26 Mar 2025 18:57:22 +0100

gnome-authenticator (4.6.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Salsa CI: Ignore reprotest failure

  [ Matthias Geiger ]
  * d/patches: Drop ashpd 0.10 patch; applied upstream
  * d/patches: Drop timeout patch; we extend the timeout in d/rules
  * d/patches: Merge patches for building with debian crates all into one
  * d/patches: Add patch downgranding rand
  * d/patches: Refresh patch relaxing deps
  * d/patches: Drop patches reverting upstream commits
  * d/control: Update build-dependencies with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Fri, 21 Mar 2025 23:28:17 +0100

gnome-authenticator (4.5.0-4) unstable; urgency=medium

  * Team upload
  * d/patches, d/control: Build with asphd 0.11
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Mar 2025 21:34:56 +0100

gnome-authenticator (4.5.0-3) unstable; urgency=medium

  * Team upload
  * Build against ashpd 0.10

 -- Matthias Geiger <werdahias@debian.org>  Sun, 16 Feb 2025 19:02:38 +0100

gnome-authenticator (4.5.0-2) unstable; urgency=medium

  * d/gbp.conf: Update for gnome-team style
  * Add d/salsa-ci.yml
  * d/rules: Update; drop d/clean file
  * Drop d/p/Relax-data-encoding, obsolete
  * d/p/0003-Relax-dep-versions: Stop patching image, reqwest and
    argon2 (Closes: #1091937)
  * d/control: Update Standards-Version to 4.7.0; no changes needed
  * d/NEWS: Mention database upgrade process (Closes: #1081185)
  * d/control: Drop MIA uploader, add jbicha as uploader
  * d/p/prevent-bad-copy: Update to use DEB_HOST_ARCH
  * d/control: Update dependencies with debcargo
  * d/control: Update VCS-URLs and Maintainer

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 16:11:48 +0100

=== debian/control ===
Source: gnome-authenticator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 appstream,
 desktop-file-utils,
 libgstreamer-plugins-bad1.0-dev,
 meson,
 cargo:native,
 rustc:native (>= 1.80),
 libstd-rust-dev,
 librust-aes-gcm-0.10+default-dev,
 librust-anyhow-1+default-dev,
 librust-aperture-0.11+default-dev,
 librust-ashpd-0.12+gtk4-dev,
 librust-ashpd-0.12+tokio-dev,
 librust-ashpd-0.12+tracing-dev,
 librust-data-encoding-2+default-dev (>= 2.6-~~),
 librust-diesel-2+default-dev,
 librust-diesel-2+r2d2-dev,
 librust-diesel-2+sqlite-dev,
 librust-diesel-migrations-2+default-dev,
 librust-diesel-migrations-2+sqlite-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-executor-0.3+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+v4-10-dev,
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-hex-0.4+serde-dev (>= 0.4.3-~~),
 librust-image-0.25+ico-dev,
 librust-image-0.25+png-dev,
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-6-dev,
 librust-oo7-0.5+native-crypto-dev,
 librust-oo7-0.5+tokio-dev,
 librust-oo7-0.5+tracing-dev,
 librust-percent-encoding-2+default-dev (>= 2.3-~~),
 librust-prost-0.12+default-dev,
 librust-qrencode-0.14+default-dev,
 librust-qrencode-0.14+image-dev,
 librust-quick-xml-0.36+default-dev,
 librust-rand-0.8+std-rng-dev,
 librust-reqwest-0.12+default-dev,
 librust-ring-0.17+default-dev,
 librust-rqrr-0.10+img-dev,
 librust-rust-argon2-2-dev,
 librust-scrypt-0.11-dev,
 librust-search-provider-0.12+tokio-dev,
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-svg-metadata-0.5+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tracing-0.1-dev,
 librust-tracing-subscriber-0.3+fmt-dev,
 librust-url-2+default-dev (>= 2.2-~~),
 librust-uuid-1+default-dev (>= 1.10-~~),
 librust-uuid-1+v4-dev (>= 1.10-~~),
 librust-zeroize-1+default-dev,
 librust-zeroize-1+zeroize-derive-dev,
 librust-zip+aes-crypto-dev (>= 2.1-~~),
 librust-zip+default-dev (>= 2.1-~~),
 librust-zip+aes-crypto-dev (<< 6),
 librust-zip+default-dev (<< 6)
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Authenticator/
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-authenticator
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-authenticator.git

Package: gnome-authenticator
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-keyring,
         gstreamer1.0-gtk4,
         gstreamer1.0-plugins-bad,
Description: TOTP authentication app for the GNOME Desktop
 Authenticator is an application for the GNOME desktop, featuring:
  - QR code scanner
  - Beautiful UI
  - Huge database of more than 560 supported services
  - Keep your PIN tokens secure by locking the application with a password
  - Automatically fetch an image for services using their favicon
  - The possibility to add new services
 .
 Authenticator is a GNOME Circle app.

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/authenticator --help
Restrictions: allow-stderr superficial
Depends: xauth,
         xvfb,
         @

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.gnome.org/World/Authenticator
